<p-panel header="Laporan Mutasi Barang" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div>
                <p-accordion>
                    <p-accordionTab header="Filter" [selected]="false">
                        <div class="row">
                            <div class="ui-g-12">
                                <div class="ui-g-6">
                                    <div>
                                        <label>Tanggal Dari</label>
                                        <p-calendar [showIcon]="true" [(ngModel)]="dtfrom" dateFormat="dd-M-yy"></p-calendar>
                                    </div>
                                </div>
            
                                <div class="ui-g-6">
                                    <div>
                                        <label>Tanggal Sampai</label>
                                        <p-calendar [showIcon]="true" [(ngModel)]="dtthru" dateFormat="dd-M-yy">
                                        </p-calendar>
                                    </div>
                                </div>
                                <!-- <div class="ui-g-4"> -->
                                <div class="ui-g-6">
                                    <div class="form-group">
                                        <label for="field_KdBarang">Kode Barang</label>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                            [minLength]="1" [filter]="true" filterBy="label" field="kdBahan"
                                            placeholder="Please Select Or Insert" [dropdown]="true" (onSelect)="selectBarang(true)">
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <div class="form-group">
                                        <label for="field_barang">Nama Barang</label>
                                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                            (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs" [minLength]="1"
                                            field="nmBahan" placeholder="Please Select Or Insert" [dropdown]="true"
                                            (onSelect)="selectBarang(true)"></p-autoComplete>
                                    </div>
                                </div>
                                <div class="ui-g-4">
                                    <label>Jenis Laporan</label>
                                    <div>
                                        <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="ui-g-12 form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Download" icon="fa-cogs"
                                        class="ui-button-primary flat-label-button" (click)="export()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </p-accordionTab>
                </p-accordion>
                <p-dataTable [value]="datas" dataKey="nobbm" name="table" #table class="table">
                    <p-header>
                        <div class="row">
                            <div class="col-sm-12">
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-100 mt-3">
                                        <input type="text" class="form-control" [(ngModel)]="currentSearch"
                                            id="currentSearch" name="currentSearch"
                                            placeholder="Cari Nama Bahan || Cari Kode Bahan ">
                                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                                            <span class="fa fa-search"></span>
                                        </button>
                                        <button class="input-group-addon btn btn-danger" (click)="clear()"
                                            *ngIf="currentSearch">
                                            <span class="fa fa-trash-o"></span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </p-header>
                    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Kode Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.kdbahan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nama Barang">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nmbahan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Satuan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.satuan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Stock">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.saldo | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="QTY BBM">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.masuk | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="QTY BBK">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.keluar | number:'1.0-2'}}
                        </ng-template>
                    </p-column>

                </p-dataTable>
            </div>
        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>